# comodash-api-client-lowlevel
Comotion Dash API

The `comodash_api_client_lowlevel` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with comodash-api-client-lowlevel,
you can run the following:

```python

import time
import comodash_api_client_lowlevel
from comodash_api_client_lowlevel.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://training.api.comodash.io/v2
# See configuration.py for a list of all supported configuration parameters.
configuration = comodash_api_client_lowlevel.Configuration(
    host = "https://training.api.comodash.io/v2"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): OAuth2Authorizer
configuration = comodash_api_client_lowlevel.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with comodash_api_client_lowlevel.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = comodash_api_client_lowlevel.LoadsApi(api_client)
    load_id = '20231117085806_355d42f6_0684_4b8f_b274_225bf7237494' # str | Unique identifier for the load operation
    load_commit = comodash_api_client_lowlevel.LoadCommit() # LoadCommit | 

    try:
        # Commit a load operation
        api_response = api_instance.commit_load(load_id, load_commit)
        print("The response of LoadsApi->commit_load:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling LoadsApi->commit_load: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://training.api.comodash.io/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*LoadsApi* | [**commit_load**](comodash_api_client_lowlevel/docs/LoadsApi.md#commit_load) | **POST** /load/{load_id}/commit | Commit a load operation
*LoadsApi* | [**create_load**](comodash_api_client_lowlevel/docs/LoadsApi.md#create_load) | **POST** /load | Create a new load
*LoadsApi* | [**generate_presigned_url_for_file_upload**](comodash_api_client_lowlevel/docs/LoadsApi.md#generate_presigned_url_for_file_upload) | **POST** /load/{load_id}/file | Generate presigned URL for file upload
*LoadsApi* | [**get_load**](comodash_api_client_lowlevel/docs/LoadsApi.md#get_load) | **GET** /load/{load_id} | Get load metadata
*MigrationsApi* | [**get_migration**](comodash_api_client_lowlevel/docs/MigrationsApi.md#get_migration) | **GET** /migration | Get status of lake migration
*MigrationsApi* | [**start_migration**](comodash_api_client_lowlevel/docs/MigrationsApi.md#start_migration) | **POST** /migration | Run migration from Lake V1 to Lake V2
*QueriesApi* | [**download_csv**](comodash_api_client_lowlevel/docs/QueriesApi.md#download_csv) | **GET** /query/{query_id}/csv | Download the csv result file of a query
*QueriesApi* | [**get_query**](comodash_api_client_lowlevel/docs/QueriesApi.md#get_query) | **GET** /query/{query_id} | Get information about a query
*QueriesApi* | [**get_query_results**](comodash_api_client_lowlevel/docs/QueriesApi.md#get_query_results) | **GET** /query/{query_id}/result | Get paginated results of a query
*QueriesApi* | [**run_query**](comodash_api_client_lowlevel/docs/QueriesApi.md#run_query) | **POST** /query | Run a query
*QueriesApi* | [**stop_query**](comodash_api_client_lowlevel/docs/QueriesApi.md#stop_query) | **DELETE** /query/{query_id} | Stop a running query


## Documentation For Models

 - [CommitLoad202Response](comodash_api_client_lowlevel/docs/CommitLoad202Response.md)
 - [Error](comodash_api_client_lowlevel/docs/Error.md)
 - [FileUploadRequest](comodash_api_client_lowlevel/docs/FileUploadRequest.md)
 - [FileUploadResponse](comodash_api_client_lowlevel/docs/FileUploadResponse.md)
 - [Load](comodash_api_client_lowlevel/docs/Load.md)
 - [LoadCommit](comodash_api_client_lowlevel/docs/LoadCommit.md)
 - [LoadId](comodash_api_client_lowlevel/docs/LoadId.md)
 - [LoadMetaData](comodash_api_client_lowlevel/docs/LoadMetaData.md)
 - [LoadMetaDataErrorMessagesInner](comodash_api_client_lowlevel/docs/LoadMetaDataErrorMessagesInner.md)
 - [Migration](comodash_api_client_lowlevel/docs/Migration.md)
 - [MigrationStatus](comodash_api_client_lowlevel/docs/MigrationStatus.md)
 - [Query](comodash_api_client_lowlevel/docs/Query.md)
 - [QueryId](comodash_api_client_lowlevel/docs/QueryId.md)
 - [QueryResult](comodash_api_client_lowlevel/docs/QueryResult.md)
 - [QueryResultResultSet](comodash_api_client_lowlevel/docs/QueryResultResultSet.md)
 - [QueryResultResultSetMetaData](comodash_api_client_lowlevel/docs/QueryResultResultSetMetaData.md)
 - [QueryResultResultSetMetaDataColumnInfoInner](comodash_api_client_lowlevel/docs/QueryResultResultSetMetaDataColumnInfoInner.md)
 - [QueryResultResultSetRowsInner](comodash_api_client_lowlevel/docs/QueryResultResultSetRowsInner.md)
 - [QueryResultResultSetRowsInnerDataInner](comodash_api_client_lowlevel/docs/QueryResultResultSetRowsInnerDataInner.md)
 - [QueryStatus](comodash_api_client_lowlevel/docs/QueryStatus.md)
 - [QueryText](comodash_api_client_lowlevel/docs/QueryText.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="OAuth2Authorizer"></a>
### OAuth2Authorizer

- **Type**: Bearer authentication (JWT)


## Author




